package org.example

import org.example.data.UserRepositoryImpl
import org.example.domain.UserUseCaseImpl
import org.example.ui.MainMenuUI
import org.example.ui.UserUI


//class_student
//localuser - где нет rtk
//844SystemUser
fun main() {
    val userRepository = UserRepositoryImpl()
    val userUseCase = UserUseCaseImpl(userRepository)
    val userUI = UserUI(userUseCase)
    val mainMenuUI = MainMenuUI(userUI)
    mainMenuUI.displayStartMenu()
}